<?php

namespace App\Console\Commands;

use Illuminate\Console\Command;
use Suiterus\Adg\Controllers\LeaveManagement\LeaveManagementController;
use Suiterus\Adg\Controllers\Services\LeaveCreditService;

class initLeaveBalances extends Command
{
    /**
     * The name and signature of the console command.
     *
     * @var string
     */
    protected $signature = 'init:leave-balances';

    /**
     * The console command description.
     *
     * @var string
     */
    protected $description = 'Initialize leave balances of employees';

    /**
     * Create a new command instance.
     *
     * @return void
     */
    public function __construct()
    {
        parent::__construct();
    }

    /**
     * Execute the console command.
     *
     * @return int
     */
    public function handle()
    {
        $leaveService = new LeaveCreditService;
        $leaveService->initializeBalances();
        return "Employee leave balances has been initialized";
    }
}
